<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
    <title>Menu Scroll</title>
</head>
<body>
<nav>
   <span class="active" data-section="section_1">
      Item 1
   </span>
   <span data-section="section_2">
      Item 2
   </span>
   <span data-section="section_3">
      Item 3
   </span>
   <span data-section="section_4">
      Item 4
   </span>
</nav>

<div id="section_1" class="section">
  <h1>Item 1</h1>
  <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
  <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
  <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
</div>
<div id="section_2" class="section">
    <h1>Item 2</h1>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
  </div>
</div>
<div id="section_3" class="section">
    <h1>Item 3</h1>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
</div>
</div>
<div id="section_4" class="section">
    <h1>Item 4</h1>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    
    
    
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
    <p>Lorem ipsum dolor sit, amet consectetur adipisicing elit. Porro hic consequuntur totam magnam ad voluptatum, unde quos impedit recusandae quisquam possimus officia ea dicta vitae natus! Nihil architecto molestiae ut?</p>
</div>
</div>
<style>
body {
    margin:0;
    overflow-x: hidden;
}
nav {
    position:fixed;
    background: #00a1ff;
    height: 160px;
    width: 150px;
    right: 0 !important;
    left: unset;
    top: 30px;
    color: #fff;
}
nav span {
    padding: 10px 10px 10px 10px;
}
span {
  display:block;
  border:1px solid;
  cursor: pointer;
}
.active {
  background-color: red;
}
.section {
  height:1000px;
  width:100%;
  border:1px solid;
  text-align:center;
}
</style>
<script>
$('span').on('click', function() {
  $("html, body").animate({
    scrollTop: $('#' +$(this).data('section')).offset().top
  }, 500);
});
var alturas = {};
$('.section').each(function () {
  alturas[$(this).prop('id')] = $(this).offset().top; 
});
$(window).on('scroll', function() {
  for(var item in alturas) {
    if($(window).scrollTop() >= alturas[item]) {
      $('span').removeClass('active');
      $('span[data-section="' +item+ '"]').addClass('active');
    }
  }
});
</script>
</body>
</html>